<?php                                                     
require('lib/funkce.inc.php');                            
zahlavi('Změna hesla');                                   



if ($_GET['akce'] == 'heslo') {
    /** Odeslaný formulář → změníme heslo */
    $email = split('@', $_POST['jmeno']);   
    $emailOK = eregi("^[_a-zA-Z0-9\.\-]+@[_a-zA-Z0-9\.\-]+\.[a-zA-Z]{2,4}$",$_POST['jmeno']);
    $login = $email[0];                                                                      
    $domena = $email[1];                                                                     
    $stareHeslo = $_POST['heslo_puvodni'];                                                   
    $noveHeslo1 = $_POST['heslo_nove_1'];                                                    
    $noveHeslo2 = $_POST['heslo_nove_2'];                                                    

    try {
        if ($noveHeslo1 == $noveHeslo2) {
                if ($emailOK) {          
                        /** e-mail vyhovuje regulárnímu výrazu → pokusíme se o změnu hesla */
                        htmlOdstavec(sqlZjistiHodnotu("SELECT zmen_heslo(?, ?, ?, ?)", array($login, $domena, $stareHeslo, $noveHeslo1)));
                } else {
                        htmlOdstavec("Neplatné uživatelské jméno.");
                }
        } else {
                htmlOdstavec("Nové heslo je potřeba zadat dvakrát stejně pro kontrolu.");
        }
    } catch (Exception $e) {
        htmlOdstavec("Chyba: Nesprávné heslo, nebo uživatel " . htmlspecialchars($login) . "@" . htmlspecialchars($domena) . " neexistuje.");
        //htmlZnacka('p', 'Chyba: ' .  htmlspecialchars($e->getMessage())); // Chybová hláška z SQL
    }
    htmlTlacitkovyOdkaz("?akce=znovu", "Zpět");
} else {
        /** Zobrazíme formulář */
        htmlOdstavec("Tento formulář slouží ke změně hesla.");
        html('<form method="post" action="?akce=heslo">');
        html('<fieldset>
                <label>Jméno: <input type="text" name="jmeno" maxlength="60"/></label><br/>
                <label>Původní heslo: <input type="password" id="heslo_puvodni" name="heslo_puvodni" maxlength="128"/></label><br/>
                <label>Nové heslo: <input type="password" id="heslo_nove_1" name="heslo_nove_1" maxlength="128"/></label><br/>
                <label>Znovu nové: <input type="password" id="heslo_nove_2" name="heslo_nove_2" maxlength="128"/></label><br/>');
        if (empty($_SERVER['HTTPS'])) {
                html('<img src="obrazky/zadna_bezpecnost.png" alt="CHYBÍ-SSL" title="Heslo se odesílá nešifrovaně. Přepněte na HTTPS."/>');
        } else {
                html('<img src="obrazky/plna_bezpecnost.png" alt="SSL" title="Zabezpečené spojení: HTTPS"/>');
        }
        html('<button name="prihlasovaciTlacitko" value="submit">Změnit heslo</button>');
        html('</fieldset></form>');

}

zapati();
?>

